
package de.ivu.elect.business.exchange.control;

import java.io.File;
import java.io.Serializable;

public abstract class AbstractExchangeContext extends AbstractContextMitCustomParameter implements Serializable {

  private static final long serialVersionUID = 1L;

  private File postExportTargetDirectory;

  protected AbstractExchangeContext() {
    this(null);
  }

  protected AbstractExchangeContext(File postExportTargetDirectory) {
    super();

    this.postExportTargetDirectory = postExportTargetDirectory;
  }

  public boolean hasPostExportTargetDirectory() {
    return getPostExportTargetDirectory() != null;
  }

  public File getPostExportTargetDirectory() {
    return postExportTargetDirectory;
  }

  public void setPostExportTargetDirectory(File postExportTargetDirectory) {
    this.postExportTargetDirectory = postExportTargetDirectory;
  }

  public AbstractExchangeContext clearCustomParameters() {
    getContextParameters().clear();

    return this;
  }
}
